Package net.shibboleth.idp.authn.audit.impl

# Class AuthenticationFlowAuditExtractor

java.lang.Object
net.shibboleth.idp.authn.audit.impl.AuthenticationFlowAuditExtractor

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

public class AuthenticationFlowAuditExtractor extends Object implements Function<ProfileRequestContext,String>
`Function` that returns the authentication flow ID used to satisfy a request.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationFlowAuditExtractor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### AuthenticationFlowAuditExtractor

public AuthenticationFlowAuditExtractor()

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`